package com.bjsxt.controller;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.alibaba.fastjson.JSON;
import com.bjsxt.domain.Order;

//עͣOrderControllerspring
@Controller
public class OrderController {

	/**
	 * HttpӦ
	 * @param uid
	 * @param model
	 * @return
	 */
	//ӳַ
	@RequestMapping("/loadOrderList")
	public String loadOrderList(String uid,Model model) {
		//дݲ
		System.out.println("uid="+uid);
		Order o1=new Order();
		o1.setId("111");
		o1.setTotal(123.1);
		o1.setDate("2018-1-1");
		
		Order o2=new Order();
		o2.setId("222");
		o2.setTotal(123.2);
		o2.setDate("2018-1-2");
		
		Order o3=new Order();
		o3.setId("333");
		o3.setTotal(123.3);
		o3.setDate("2018-1-3");
		
		List<Order> list=new ArrayList<>();
		list.add(o1);
		list.add(o2);
		list.add(o3);
		
		model.addAttribute("list",list);
		return "index.jsp";//ͼԲ.jsp
	}
	
	/**
	 * HttpӦϣ첽Ӧ
	 * ListлΪjsonӦ
	 * @param uid
	 * @param model
	 * @return
	 * 
	 * @ResponseBody  صListлΪjson
	 */
	//ӳַ
	@RequestMapping("/loadOrderList02")
	@ResponseBody
	public List<Order> loadOrderList02(String uid) {
		//дݲ
		System.out.println("uid:"+uid);
		Order o1=new Order();
		o1.setId("111");
		o1.setTotal(123.1);
		o1.setDate("2018-1-1");
		
		Order o2=new Order();
		o2.setId("222");
		o2.setTotal(123.2);
		o2.setDate("2018-1-2");
		
		Order o3=new Order();
		o3.setId("333");
		o3.setTotal(123.3);
		o3.setDate("2018-1-3");
		
		List<Order> list=new ArrayList<>();
		list.add(o1);
		list.add(o2);
		list.add(o3);
		
		return list;
	}
	/**
	 * JsonPӦһjsַͻ
	 * @param uid
	 * @return
	 */
	@RequestMapping("/loadOrderList03")
	@ResponseBody
	public String loadOrderList03(String uid,String callback) {
		//дݲ
		System.out.println("uid:"+uid);
		Order o1=new Order();
		o1.setId("111");
		o1.setTotal(123.1);
		o1.setDate("2018-1-1");
		
		Order o2=new Order();
		o2.setId("222");
		o2.setTotal(123.2);
		o2.setDate("2018-1-2");
		
		Order o3=new Order();
		o3.setId("333");
		o3.setTotal(123.3);
		o3.setDate("2018-1-3");
		
		List<Order> list=new ArrayList<>();
		list.add(o1);
		list.add(o2);
		list.add(o3);
		
		//result ҪӦͻ˵js
		String result=callback+"("+JSON.toJSONString(list)+")";
		return result;
	}
}
